import 'package:package_info/package_info.dart';

abstract class PackageUtils{
  static PackageInfo? _packageInfo;

  static init() async {
    try {
      _packageInfo = await PackageInfo.fromPlatform();
    } catch (e) {
      print(e);
    }
  }

  static String? appName() => _packageInfo?.appName;
  static String? packageName() => _packageInfo?.packageName;
  static String? version() => _packageInfo?.version;
  static String? buildNumber() => _packageInfo?.buildNumber;
}